fop 1.1

## org.apache.fop.fonts.type1
Class PFBParser

    java.lang.Object
      org.apache.fop.fonts.type1.PFBParser

    public class PFBParser

extends java.lang.Object

This class represents a parser for Adobe Type 1 PFB files.

See Also:
  `PFBData`

Constructor Summary
`PFBParser()`

Method Summary
`PFBData` `parsePFB(java.io.File pfbFile)` Parses a PFB file into a PFBData object.
`PFBData` `parsePFB(java.io.InputStream in)` Parses a PFB file into a PFBData object.
`PFBData` `parsePFB(java.net.URL url)` Parses a PFB file into a PFBData object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PFBParser

    public PFBParser()

Method Detail

### parsePFB

    public PFBData parsePFB(java.net.URL url)
                     throws java.io.IOException

  Parses a PFB file into a PFBData object.

  Parameters:
    `url` - URL to load the PFB file from
  Returns:
    PFBData memory representation of the font
  Throws:
    `java.io.IOException` - In case of an I/O problem

### parsePFB

    public PFBData parsePFB(java.io.File pfbFile)
                     throws java.io.IOException

  Parses a PFB file into a PFBData object.

  Parameters:
    `pfbFile` - File to load the PFB file from
  Returns:
    PFBData memory representation of the font
  Throws:
    `java.io.IOException` - In case of an I/O problem

### parsePFB

    public PFBData parsePFB(java.io.InputStream in)
                     throws java.io.IOException

  Parses a PFB file into a PFBData object.

  Parameters:
    `in` - InputStream to load the PFB file from
  Returns:
    PFBData memory representation of the font
  Throws:
    `java.io.IOException` - In case of an I/O problem

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.